develooper Front page | perl.wxperl.users | Postings from April 2017

[rt.cpan.org #121069] Fails install when no '.' in @INC

From:
Kent Fredric via RT
Date:
April 11, 2017 07:45
Subject:
[rt.cpan.org #121069] Fails install when no '.' in @INC
Message ID:
rt-4.0.18-21243-1491896701-1705.121069-15-0@rt.cpan.org
Tue Apr 11 03:45:01 2017: Request 121069 was acted upon.
Transaction: Ticket created by KENTNL
       Queue: Wx
     Subject: Fails install when no '.' in @INC
   Broken in: (no value)
    Severity: (no value)
       Owner: Nobody
  Requestors: KENTNL@cpan.org
      Status: new
 Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=121069 >


when no '.' is in @INC on Perl >5.25.11 ( for example, when installing by hand
, or with PERL_USE_UNSAFE_INC=0 in env ), install fail as follows:

Building and testing Wx-0.9929
"/home/kent/perl5/perlbrew/perls/5.25.11-nossp-sip13-nopmc-nodot/bin/perl5.25.11"
script/make_typemap.pl typemap.tmpl typemap
"/home/kent/perl5/perlbrew/perls/5.25.11-nossp-sip13-nopmc-nodot/bin/perl5.25.11"
script/make_v_cback.pl > cpp/v_cback_def.h
"/home/kent/perl5/perlbrew/perls/5.25.11-nossp-sip13-nopmc-nodot/bin/perl5.25.11"
script/copy_files.pl files.lst
do "files.lst" failed, '.' is no longer in @INC at script/copy_files.pl line
20.
Error loading options: at script/copy_files.pl line 22.
make: *** [Makefile:1328: wxt_copy_files] Error 2




--
- CPAN kentnl@cpan.org
- Gentoo Perl Maintainer kentnl@gentoo.org ( perl@gentoo.org )



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About